//
//  TVSSplitViewController.h
//  TableViewSpliter
//
//  Created by narita on 2016/07/29.
//  Copyright © 2016年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class TVSViewController;

/**
 主な編集対象のドキュメントを表示するViewを分割表示するための機能をもたせたSpliterViewの支援ViewController
 既存のSpliterの用途はWindowをInspectorやToolPalette用に分割するためのものであった。
 
 */

@interface TVSSplitViewController : NSSplitViewController

#pragma mark -
#pragma mark class methods

#pragma mark -
#pragma mark init methods

#pragma mark -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark awakeFromNib-like methods

#pragma mark -
#pragma mark action methods

- (void) removePane:(TVSViewController*)inViewController;
- (void) insertNewPaneAfter:(TVSViewController*)inViewController;

// PaneをinNumber個作成
- (void) createPaneWithNumber:(NSInteger)inNumber;

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

#pragma mark -
#pragma mark Utility methods

@end
